#include <stdio.h>
#include <stdlib.h>
#include "main.h"
#include "Graphics.h"
#include "System.h"

#define SCREEN_WIDTH    721
#define SCREEN_HEIGHT   720
#define WIDTH   10

int main(int argc, char* argv[])
{
    // init the window
    gfx.init("Logistic", SCREEN_WIDTH, SCREEN_HEIGHT);
    gfx.init2D();

    float r = 0.95f;

    while (sys.isQuitRequested() == false)
    {
        gfx.clearScreen(Color(0, 0, 0, SDL_ALPHA_OPAQUE));
        float x = 0.5f;

        for (int t = 0; t < SCREEN_WIDTH - 1; t += WIDTH)
        {
            float oldX = x;
            x = r * x * (1 - x);

            int oldY = (1 - oldX) * (SCREEN_HEIGHT - 1);
            int y    = (1 - x)    * (SCREEN_HEIGHT - 1);
            gfx.line(t, oldY, t + WIDTH, y, Color(255, 255, 255));
        }

        gfx.render();
        sys.processEvents();
    }

    gfx.quit();

    return EXIT_SUCCESS;
}
